IETF Discussion List Charter
RFC 9245
BCP 45
Lars Eggert
NetApp
Susan Harris
2022-06
mail list
mailing list
The Internet Engineering Task Force (IETF) discussion mailing list furthers the development and specification of Internet technology through the general discussion of technical, procedural, operational, and other topics for which no dedicated mailing lists exist. As this is the most general IETF mailing list, considerable latitude in terms of topics is allowed, but there are posts and topics that are unsuitable for this mailing list. This document defines the charter for the IETF discussion list and explains its scope.
This document obsoletes RFC 3005 and updates RFC 3683.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9245.
Copyright Notice
Copyright (c) 2022 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
This document may contain material from IETF Documents or IETF Contributions published or made publicly available before November 10, 2008. The person(s) controlling the copyright in some of this material may not have granted the IETF Trust the right to allow modifications of such material outside the IETF Standards Process. Without obtaining an adequate license from the person(s) controlling the copyright in such materials, this document may not be modified outside the IETF Standards Process, and derivative works of it may not be created outside the IETF Standards Process, except to format it for publication as an RFC or to translate it into languages other than English.
Table of Contents
- 1. Introduction
- 2. Charter for the IETF Discussion List
- 3. Moderation
- 4. Security Considerations
- 5. IANA Considerations
- 6. References
  - 6.1. Normative References
  - 6.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction
The IETF discussion list [IETF-DISCUSS] furthers the development and specification of Internet technology through the general discussion of technical, procedural, operational, and other topics for which no dedicated mailing lists exist. As this is the most general IETF mailing list, considerable latitude in terms of topics is allowed. However, there are posts and topics that are unsuitable for this mailing list. This document defines the charter for the IETF discussion list and explains its scope.
The IETF Note Well [NOTE-WELL] applies to discussions on the IETF discussion list and all other IETF mailing lists, and requires conformance with the IETF Guidelines for Conduct [RFC7154] and the Anti-Harassment Policy [RFC7776], among others.
This document obsoletes [RFC3005], as it documents the use of other mailing lists for discussions that were previously in scope for the IETF discussion list, refers to applicable policies such as the Guidelines for Conduct [RFC7154] and the Anti-Harassment Policy [RFC7776], and clarifies moderation procedures. It also updates part of Section 1 of [RFC3683], which copies the list of "inappropriate postings" from [RFC3005]. The list in [RFC3683] is hence updated by the new list in Section 2.
Charter for the IETF Discussion List
The IETF discussion list is meant for discussions for which a more appropriate list does not exist, such as discussions that do not fall within the scope of any working group, area, or other established list. When there is an existing venue for discussion, this should be noted and discussion should be moved there.
When no dedicated mailing list exists for a topic, it may be preferable to request that one be created [NON-WG-LISTS] rather than discuss it on the IETF discussion list. Availability of the new list may be announced on the IETF discussion list and on other related lists, such as area lists.
Appropriate postings to the IETF discussion list include:
- Initial discussion of technical issues that are candidates for IETF work, but appropriate mailing lists have not yet been identified.
- Questions and clarifications concerning practical aspects of IETF meetings, although most of these topics are better brought up on the discussion list for IETF LLC administrative issues [ADMIN-DISCUSS] or the attendee discussion list for a given IETF meeting.
- Announcements of conferences, events, or activities that are sponsored or endorsed by the IETF, IRTF, IAB or the Internet Society, although the IETF announcement list [IETF-ANNOUNCE] is the preferred list for these.
- Discussions of IETF direction, policy, and the standards process in general, when a more suitable list (such as the discussion list for IETF LLC administrative issues [ADMIN-DISCUSS], the IAB discussion list for architectural issues [ARCH-DISCUSS], a meeting attendees list, a process-oriented WG list, etc.) cannot be identified.
These topics used to be in scope for the IETF discussion list, but have since moved to dedicated lists:
- Last Call discussions of documents now take place on the IETF Last Calls mailing list [LAST-CALLS].
- Discussion of IETF administrative policies now takes place on the discussion list for IETF LLC administrative issues [ADMIN-DISCUSS].
Inappropriate postings include:
- Advertising and other unsolicited bulk e-mail
- Discussion of subjects unrelated to IETF policy, meetings, activities, or technical topics
- Uncivil commentary, regardless of the general subject, per the IETF Note Well [NOTE-WELL]
- Announcements of conferences, events, or activities that are not sponsored or endorsed by the IETF, IRTF, IAB, or the Internet Society.
Moderation
The IETF Chair appoints Moderators (previously known as the "sergeant-at-arms") for the IETF discussion list that are empowered to restrict posting by a person, or to an email thread, when the content is inappropriate and represents a pattern of abuse. They are encouraged to take into account the overall nature of the postings by an individual and whether particular postings are typical or an aberration.
Moderation of the IETF discussion list, including the handling of any appeals, is guided by the IETF discussion list charter specified in Section 2, and the related guidance from Section 1 that applies to all mailing lists. The moderators are selected from within the community to moderate the community. Because the IESG and IAB are in the appeals chain for moderator decisions (see below), the IETF Chair therefore should not appoint a moderator who is serving in such a role. If a moderator is selected for the IESG or IAB, they will step down from the moderator team.
Apart from appointing moderators, the IETF Chair should refrain from the day-to-day operation and management of the moderator team. The moderator team will independently define, publish, and execute their role; see the current set of operating procedures [MOD-SOP] and abuse patterns [MOD-UPC]. The moderator team should reach out to the IETF Chair for any conflict resolution in a timely manner.
Because a moderator serves at the discretion of the IETF Chair -- even if the IETF Chair is not otherwise involved in the operation of the moderator team -- any moderator decision can be appealed to the IETF Chair, per [RFC2026]. Decisions by the IETF Chair can be appealed to the IESG as whole, again per [RFC2026].
Security Considerations
The usual security considerations [RFC3552] do not apply to this document.
Potential abuse of the moderation process for the suppression of undesired opinions is counteracted by the availability of an appeals process, per Section 3.
IANA Considerations
This document does not request any IANA actions.
References
Normative References
[RFC2026]

The Internet Standards Process -- Revision 3
S. Bradner
October 1996
BCP 9
RFC 2026
DOI 10.17487/RFC2026
Informative References
[ADMIN-DISCUSS]

admin-discuss -- Discussion list for IETF LLC administrative issues
IETF
[ARCH-DISCUSS]

Architecture-discuss -- open discussion forum for long/wide-range architectural issues
IAB
[IETF-ANNOUNCE]

IETF-Announce -- IETF announcement list. No discussions.
IETF
[IETF-DISCUSS]

ietf -- IETF-Discussion
IETF
[LAST-CALLS]

last-call -- IETF Last Calls
IETF
[MOD-SOP]

Sergeant-at-Arms Standard Operating Procedures
IETF
09 October 2019
commit c1abcb0
[MOD-UPC]

Unprofessional commentary
IETF
08 October 2019
commit e120305
[NON-WG-LISTS]

Non-Working Group Email List Guidelines
IETF
[NOTE-WELL]

Note Well
IETF
[RFC3005]

IETF Discussion List Charter
S. Harris
November 2000
BCP 45
RFC 3005
DOI 10.17487/RFC3005
[RFC3160]

The Tao of IETF - A Novice's Guide to the Internet Engineering Task Force
S. Harris
August 2001
RFC 3160
DOI 10.17487/RFC3160
[RFC3184]

IETF Guidelines for Conduct
S. Harris
October 2001
RFC 3184
DOI 10.17487/RFC3184
[RFC3552]

Guidelines for Writing RFC Text on Security Considerations
E. Rescorla
B. Korver
July 2003
BCP 72
RFC 3552
DOI 10.17487/RFC3552
[RFC3683]

A Practice for Revoking Posting Rights to IETF Mailing Lists
M. Rose
March 2004
BCP 83
RFC 3683
DOI 10.17487/RFC3683
[RFC7154]

IETF Guidelines for Conduct
S. Moonesamy, Ed.
March 2014
BCP 54
RFC 7154
DOI 10.17487/RFC7154
[RFC7776]

IETF Anti-Harassment Procedures
P. Resnick
A. Farrel
March 2016
BCP 25
RFC 7776
DOI 10.17487/RFC7776
Acknowledgements
Susan R. Harris authored [RFC3005], which this document replaces. In addition to many technical contributions to the IETF, Susan authored a number of other foundational documents, such as the original "IETF Guidelines for Conduct" [RFC3184] and the original "Tao of the IETF" [RFC3160]. Susan R. Harris passed away in early 2022. This document is dedicated to her memory, as a small token of appreciation of her many contributions.
The following people have made other contributions to this document:
- Adrian Farrel
- Barry Leiba
- Ben Kaduk
- Brian Carpenter
- Carsten Bormann
- Christian Huitema
- Dhruv Dhody
- Eric Rescorla
- Eric Vyncke
- Francesca Palombini
- John Scudder
- Lloyd Wood
- Martin Thomson
- Robert Wilton
- Subramanian Moonesamy
- Stephen Farrell
Authors' Addresses
Lars Eggert
NetApp
Stenbergintie 12 B
Kauniainen
02700
FI
lars@eggert.org
https://eggert.org/
Susan Harris